<%- include('../includes/head.ejs') %>
    <link rel="stylesheet" href="/css/forms.css">
    <link rel="stylesheet" href="/css/product.css">
</head>

<body>
   <%- include('../includes/navigation.ejs') %>

    <main>
         <% if(validationErrors) { %>
            <% for(let i = 0 ; i < validationErrors.length ; i++) { %>
                <div class="user-message user-message--error">
                    <%= validationErrors[i].msg %>
                </div>
            <% } %>
        <% } %>
        <form 
            class="product-form" 
            action="/admin/<% if (editing) { %>edit-product<% } else { %>add-product<% } %>" 
            method="POST"
            enctype="multipart/form-data"
        >
            <input type="hidden" name="_csrf" value="<%= csrfToken %>" />
            <div class="form-control">
                <label for="title">Title</label>
                <input 
                    class="<%= validationErrors.find(e => e.param === 'title') ? 'invalid' : '' %>"
                    type="text" 
                    name="title" 
                    id="title"
                    value="<% if (editing) { %><%= product.title %><% } else { %><%= prevInput.title %><% } %>"
                >
            </div>
            <!-- <div class="form-control">
                <label for="imageUrl">Image URL</label>
                <input 
                    class="<%= validationErrors.find(e => e.param === 'imageUrl') ? 'invalid' : '' %>"
                    type="text" 
                    name="imageUrl" 
                    id="imageUrl"
                    value="<% if (editing) { %><%= product.imageUrl %><% } else { %><%= prevInput.imageUrl %><% } %>"
                >
            </div> -->
             <div class="form-control">
                <label for="image">Image</label>
                <input 
                    type="file" 
                    name="image" 
                    id="image"
                >
            </div>
            <div class="form-control">
                <label for="price">Price</label>
                <input 
                    class="<%= validationErrors.find(e => e.param === 'price') ? 'invalid' : '' %>"
                    type="number" 
                    name="price" 
                    id="price" 
                    step="0.01"
                    value="<% if (editing) { %><%= product.price %><% } else { %><%= prevInput.price %><% } %>"
                >
            </div>
            <div class="form-control">
                <label for="description">Description</label>
                <textarea 
                    class="<%= validationErrors.find(e => e.param === 'description') ? 'invalid' : '' %>"
                    name="description" 
                    id="description" 
                    rows="5"
                ><% if (editing) { %><%= product.description %><% } else { %><%= prevInput.description %><% } %></textarea>
            </div>
            <% if (editing) { %>
                <input type="hidden" name="productId" value="<%= product._id %>" />
            <% } %>

            <button class="btn" type="submit">
                <% if(editing) {%>Update Product<% } else { %>Add Product<% } %>
                </button>
        </form>
    </main>
<%- include('../includes/end.ejs') %>